Overview

Zilab Remote Console Server v3 Overview

Zilab Remote Console Server v3 provides an easy and cost-effective way to have access to every server in an organization.

Zilab Remote Console Server is the remote console server specially designed to run in the Windows NT/2000/XP LAN environment. It allows to execute any console-based applications on the remote Windows NT/2000/XP host and supports multiply independent users sessions simultaneously. Due to basing on strong Windows NT/2000/XP security model, each user works in its own security context.

In order to support long on an operating time server applications and cover unreliable communications Zilab Remote Console Server have the unique process rebinding functionality. That allows to connect to remote processes, earlier started on the host using Zilab Remote Console Server.

Zilab Remote Console Server handles all specific console applications behavior such as colors, special keys, console size changes and even mouse movement without special configuration efforts.


Client Software

This section provides detailed information about client software that can access Zilab Remote Console Server. This section contains:

  • Zilab Remote Console Server GUI Client (ZRCG.EXE) Describes how to work with Zilab Remote Console Server GUI (graphical user interface) Client.

  • Zilab Remote Console Server Console Client (ZRCC.EXE) Describes how to work with Zilab Remote Console Server console client.

  • Server side functions Describes client independent functions available on a server side.


Default connection preferences

Preferences

ZRCG preferences dialog.

Preferences dialog provides default settings used for new server record. All this settings can be redefined later, on new connection opening.

Default server port

Specifies default server port name or number. Check your servers configuration to choose right parameters.

Default Session Parameters

Check Keep remote process reconnactable and set time-out parameter in minutes to include this option by default.
Check Automatically restore connection after and set retry interval in seconds to include this option by default.
Check Enable mouse to enable mouse input in console windows by default.

Remote Console Font

This option group allows you to define default font for console windows.
Font list shows only 'fixed pitch' fonts available in the system.

Client-side printing

Default printer - Specifies default printer for client side printing. Enter printer name in field or select from the list of available printers.


Opening new connection

Creating new server record

Connection

New server record dialog provides settings used for connections.

ZRCG new server record dialog.

Name - Enter a name you want to use to remember the server. Choose a name that is unique to the server list and choose a name that helps you identify the server. A site name is a required field.
Host - The Zilab server host name to which you want to connect. Valid host name may be textual (zilab.com) or they may be IP addresses (10.0.0.12). The host name is a required field.
Port - Specify the port number or name you want to use for connections.

User identification

Set the user name and password for new server record. This group is optional. The user name and password can be entered later manually during connection.
Check the Save password button if you want to remember your password between connections.

Session options

Check Automatically restore connection and set retry interval value in seconds to enable continuous retry attempts to reestablish connections.
Check Keep remote session reconnectable and set time-out value in minutes to enable 'session reconnection' feature.
Check Secure session to enable communications over secure SSL protocol.
Check Disable shell access to disable access to the Zilab server shell service. This option prevents of shell process execution on the server side. But you still have access to other server services like connections tunneling and file transfers.
Check Disable compression to disable compression of data transmitted over connections. Use this option to speed up communications and decrease server CPU load if you connect to the server over LAN or broad band network.
Check Enable mouse to enable mouse input in remote console window.

Security Options

Security options tab defines SSL protocol options for connections.

ZRCS security options tab for new record.

Auto select cipher suite - Click this to allow to client and server automatically negotiate cipher suite for connections.
Use only selected cipher suites - Click this to allow to client and server negotiate cipher suite only from set of checked cipher suites.

Tunneling Options

Tunneling options tab defines tunneling interfaces automatically created for connections after successful logon to the server.
Tunneling allows to accept TCP/IP connections on local system and forward they over single secured and compressed connection through the Zilab server to application servers.

ZRCS tunneling options tab for new record.

Client to server tunneling

Client to server tunneling diagram.

Check the Create local SOCKS proxy on port to create local SOCKS proxy interface for SOCKs compatible incoming connections and enter port number or name.
Check the Local connections only to prevent connections from other computers.

Check the Create local HTTP proxy on port to create local HTTP proxy interface for HTTPs compatible incoming connections and enter port number or name.
Check the Local connections only to prevent connections from other computers.

Port mappings is used to create simple port mapping interfaces for proxy incompatible applications.

New mapping record dialog.

Interface mode - Select FTP port mapping to forward connections from FTP clients configured to work in the passive mode.
For all other connection types select Port mapping.
Local port - Specifies local port for incoming connections.
Remote address - Specifies remote server address or name.
Remote address - Specifies remote server port number or name.
Check the Local connections only to prevent connections from other computers.

Server to client tunneling

Server to client tunneling diagram.

Port mappings is used to create simple port mapping interfaces to forward connections from the server to client side network servers.

New server mapping record dialog.

Server port - Specifies server port on witch server will accept connections.
Check the Use server interface to accept connections only on specified network interface.
Check the Local connections only to prevent connections from other computers in the server side network.
Check the Single connection to instruct server to accept only one connection.
Connect to address - Specifies the address or name of a host to witch forward connections from the server.
Connect to port - Specifies the port name or number to witch forward connections from the server.


Server side operations

Zilab Remote Console Server (ZRCS) provides several functions available on the server side during a session.

Reestablishing connections with 'pending' sessions.

The pending state is the state when a server side session remains active after network connection closing. Each user can have several sessions in the pending state on a server simultaneously.

Any session can be switched in the pending state under following conditions:

  • The session has been created using ZRCG with the Keep remote session reconnectable option enabled or
    using ZRCC with included time-out (-t) command line option.

  • The session has been disconnected from the server due to network error, user request or by the server administrator using Management Console disconnect function.

Note Session remains pending for the period provided in connection options. After time-out expiration, the session process and all child processes created during the session will be unconditionally terminated. ZRCS provides a clean process shutdown. This means that all attached dynamic-link libraries will be detached properly.

After successful logon, If there are any pending sessions for the user, user can resume pending session using server side menu.

Pending sessions menu (server side) sample.

Server provides following information for each pending session:

  • Current title.
  • Creation time stamp.
  • Server session ID.

To resume pending session enter corresponding menu number.
To create new session enter 0 menu number.

If users from Administrators group are allowed to have access to inactive sessions they can switch to sessions of other users at logon.

Server provides following information for each pending session on logon of administrator:

  • User name of the owner of the session.
  • Current title.
  • Creation time stamp.
  • Server session ID.

Pending sessions menu for Administrators.

Server side applet

To activate server side applet [Shift] - [Esc] key combination anytime in the session.

To open applet menu press [F10].
To close applet press [Alt]-[X].

Applet menu:

Tools

Download File - Download file from the server.
Close applet

Sessions

New - Open new session
Switch - Switch to a pending session.
Disconnect - Disconnect from server.
Information - Display the session information.

Open new session

To open new server session, select Sessions->New and press [Enter]

On new session request the user will be prompted to enter the user name and password as on logon process.

Important: On new session request, the current session automatically switched to pending state.

Session switch

To switch to pending session, select Sessions->Switch and press [Enter]. In the dialog appeared select a session and press [Switch to].

If users from Administrators group are allowed to have access to inactive sessions they can switch to pending sessions of other users.

Important: On session switch, the current session automatically switched to pending state.

Session Information

To view a session information, select Sessions->Information and press [Enter].

The session information dialog displays the following information:

  • User name.
  • Session ID.
  • IP address of client.
  • Session creation time.
  • State of the session and if state is pending the time of switching to the pending state.
  • Session time-out value

    If the session established over secured connection the dialog displays the following additional information:

  • Secure protocol name
  • Cipher been used
  • Algorithm strength
  • Server public key length
File Download

To download file from the server open file download dialog (Tools->Download File).

In the appeared dialog enter a file name (with the full path) and press Open to start downloading or press Cancel to close the dialog.

To change the active dialog control use [Tab] key.

You can also use remote clipboard to enter file name. To paste a text from the clipboard, use [Shift]-[Ins] key combination.

Note The file download operation is the subject to ZRCS and the server file system security. To successfully start downloading the user must be a member of ZRCS file downloading group and have at least the read access to the file on the server file system.

Client dependent issues of file downloading

Zilab Remote Console Server GUI Client (ZRCG.exe) offers to save file to any available directory through the 'Save as' dialog. Download process can be monitored by the appeared 'Downloading' window or by the server side messages.

Zilab Remote Console Server Console Client (ZRCC.exe) saves downloaded file in the current directory. Download process can be monitored only by the server side messages.

Important: The file downloading is tied with the session. This means that the session close cancels all file transfer operations.


Working with ZRCG

Working with Zilab Remote Console Server Client

ZRCG main screen.

Zilab Remote Console Server GUI Client (ZRCG) is a Windows 32-bit application what provides an access to the Zilab Remote Console Server. ZRCG transparently supports of all input (keyboard and mouse) events and color attributes.

Tool Bar Buttons

- Opens connection to the selected server.

- Opens the new server record dialog.

- Deletes the selected server record.

- Displays properties of the selected server record.

Main Menu

Server

New [Ins] - Open new server dialog.

Connect [Enter] - Open connection to the selected server.

Delete [Del] - Delete the selected server record.

Properties - Display properties of the selected server.

Exit - Close ZRCG.

View

Large Icons - Display the list of servers by using large icons.

List - Display the list of servers in a list.

Details - Display the list of servers with information about each server record.

Preferences - Open the preferences dialog.

Help

Contents - Display the table of contents for the documentation.

About - Display the program information and copyright.

The session screen.

Tool Bar Buttons

- Change active window font.

- Increase active window font size.

- Decrease active window font size

- Enable/disable mouse input for active window.

- Paste text buffer from the clipboard to the active console window.

- Mark active console window screen buffer.

- Copy marked screen buffer to the clipboard.

Main Menu

Session

New connection - Open new connection to the currently connected server.

Upload file - Upload a file to the currently connected server.

Open C2S tunnel - Open new client to server tunneling interface.

Open S2C tunnel - Open new server to client tunneling interface.

Disconnect - Disconnect from the currently connected server.

Edit

Paste - Paste text buffer from the clipboard

Mark - Mark active window screen buffer.

Copy - Copy marked screen buffer to the clipboard.

Increase Font Size - Increase active window font size.

Decrease Font Size - Decrease active window font size.

Set Font - Select new font for the active window.

View

Session info - Open the session information dialog.

Tunneling statistics - Open the tunneling information window.

Servers - Open main ZRCS client window.

Help

About - Information about the product.

Note To provide fully compatible keyboard interface with remote console, all keyboard shortcuts are disabled if there is any active window.


Working with ZRCC

Working with Zilab Remote Console Server Console Client

Zilab Remote Console Server Console Client (ZRCC) is a Windows 32-bit console application what provides an access to the Zilab Remote Console Server.
ZRCC transparently supports of all input (keyboard and mouse) events and color attributes.
ZRCC does not support Zilab server tunneling service.

Parameters description

ZRCC has following command-line parameters:

ZRCC  -h  -p  [-u ] [-w ] [-t ] [-nomouse] [-prn <printer name>] [-s] [-ci <suite name>] [-si]

 -h               TCP/IP host name or IP address
 -p               TCP/IP port
 -t            	  Disconnected session lifetime (default 0)
 -prn     	      Printer name for local printers or \\server\printer for network printers
 -u  			  User name
 -w   			  Password
 -nomouse         Disable mouse input
 -s               SSL secured connection
 -ci              Select cipher suite for SSL connection
 -si              Show SSL connection info

Supported cipher suites:

AES256-SHA
DES-CBC3-SHA
AES128-SHA
IDEA-CBC-SHA
RC4-SHA
RC4-MD5
DES-CBC-SHA

Unconditional connection termination

To terminate a connection use the Ctrl-Break keystroke. Unlike the Ctrl-C keystroke, ZRCC doesn't transmit the Ctrl-Break keystroke and treat it as unconditional connection termination signal.
If the ZRCC reconnection time-out parameter (-t) has been set, the server side will change the client session state to the pending state (available for reconnection) on the specified time period (if no reconnection has occurred in specified period of time, the client process will be terminated). Otherwise the remote process will be terminated. ZRCS provides a clean process shutdown. This means that all attached dynamic-link libraries will be detached properly.

Ctrl-C keystroke handling

ZRCC transmits Ctrl-C keystroke for processing to a remote process.


Zilab on the Internet

Zilab Software on the Internet

Company site

For more information about Zilab's products, update releases, hot news and more, please visit our site on the Internet - www.zilab.com!

Technical Support

Zilab Technical Support Service is dedicated to helping identify and solve problems standing between you and the successful operation of Zilab products.

It is important that you supply us with the following information
when contacting Technical Support Service:

  • User Name
  • Customer ID (if any)
  • Product Version information
  • Hardware Platform, Operating System and Service Packs installed
  • Full text of problem description. Please include as many detailed information about the running environment as you have.

Please e-mail this information to support@zilab.com


.topic	7000
Click this to specify the pipe mode connection.
.topic	7001
Specifies the Microsoft Network name of a server running Zilab Remote Console Server in the pipe mode.
.topic	7002
Click this to browse for a computer in the Microsoft Network LAN.
.topic	7003
Click this to specify the TCP/IP mode connection.
.topic	7004
Specifies the TCP/IP host address of a server running Zilab Remote Console Server.
.topic	7005
Specifies the connection port of Zilab Remote Console Server.
.topic	7006
Specifies the user login name. If not specified, can be typed manually in the session window later.
.topic	7007
Specifies the user password. If not specified, can be typed manually in the session window later.
.topic	7008
Specifies that the session can be switched in the pending state after successful logon. Session in the pending state remains running and available for reconnection without actual connection. For more information about the pending sessions states refer Zilab Remote Console Server documentation.
.topic	7009
Specifies a pending session timeout in minutes. If a session switched in the pending state, it remains active the specified time. After that period the session process is terminated.
.topic	7010
Specifies whether the client transmits mouse input over the network.
.topic	7011
Specifies whether the server transmits color information over the network.
.topic	7012
Click this to establish the connection.
.topic	7013
Closes this dialog box without establishing connection.

.topic	7014
Specifies the name of a server running Zilab Server.
.topic	7015
Click this to save password.
.topic	7016
Click this to automatically restore connection to the server on connection failure.
.topic	7017
Specifies the interval in seconds between connection attempts.
.topic	7018
Click this to establish SSL secured connection.
.topic	7019
Click this to disable shell access service for this connection.
.topic	7020
Click this to disable compression for this connection.
.topic	7021
Click this to allow client to select cipher suite.
.topic	7022
Click this to manually select a cipher suite.
.topic	7023
Specifies a list of available cipher suites.

.topic	7024
Click this to create local HTTP proxy server interface for tunneling service on connect.
.topic	7025
Specifies a port for the HTTP proxy interface.
.topic	7026
Click this to allow only local connections for the HTTP proxy interface.
.topic	7027
Click this to create local SOCKS 4/5 proxy server interface for tunneling service on connect.
.topic	7028
Specifies a port for the SOCKS proxy interface.
.topic	7029
Click this to allow only local connections for the SOCKS proxy interface.

.topic	7030
Click this to create client to server port mappings on connect.
.topic	7031
Specifies the list of client to server port mappings interfaces.

.topic	7032
Click this to add port mappings interface.
.topic	7033
Click this to edit selected port mappings interface.
.topic	7034
Click this to remove selected port mappings interface.

.topic	7035
Click this to create server to client port mappings interface.
.topic	7036
Specifies the list of server to client port mappings interfaces.

.topic	7037
Click this to add server to client port mappings interface.
.topic	7038
Click this to edit selected server to client port mappings interface.
.topic	7039
Click this to remove selected server to client port mappings interface.

.topic	8000
Specifies the server display name.
.topic	8001
Click this to specify the pipe mode connection.
.topic	8002
Specifies the Microsoft Network name of a server running Zilab Remote Console Server in the pipe mode.
.topic	8003
Click this to browse for a computer in the Microsoft Network LAN.
.topic	8004
Click this to specify the TCP/IP mode connection.
.topic	8005
Specifies the TCP/IP host address of a server running Zilab Remote Console Server.
.topic	8006
Specifies the connection port of Zilab Remote Console Server running.
.topic	8007
Specifies that the session can be switched in the pending state after successful logon. Session in the pending state remains running and available for reconnection without actual connection. For more information about sessions in the pending states refer Zilab Remote Console Server documentation.
.topic	8008
Specifies a pending session timeout in minutes. If a session switched in the pending state, it remains active the specified time. After that period the session process is terminated.
.topic	8009
Specifies whether the client transmits mouse input over the network.
.topic	8010
Specifies whether the server transmits color information over the network.
.topic	8011
Closes this dialog box and saves any changes you have made.
.topic	8012
Closes this dialog box without saving any changes you have made.

.topic	9000
Click this to specify the pipe mode connection by default.
.topic	9001
Click this to specify the TCP/IP mode connection by default.
.topic	9002
Specifies the connection port by default.
.topic	9003
Specifies that the session can be switched in the pending state by default after successful logon. Session in the pending state remains running and available for reconnection without actual connection. For more information about sessions pending states refer Zilab Remote Console Server documentation.
.topic	9004
Specifies a pending session timeout in minutes by default. If a session switched in the pending state, it remains active the specified time. After that period the session process is terminated.
.topic	9005
Specifies whether the client transmits mouse input over the network by default.
.topic	9006
Specifies whether the server transmits color information over the network by default.
.topic	9007
Specifies the default font name for the session window.
.topic	9008
Specifies the default font size for the session window.
.topic	9009
Closes this dialog box and saves any changes you have made.
.topic	9010
Closes this dialog box without saving any changes you have made.
.topic	9011
Click this to automatically restore connections to servers on connection failure.
.topic	9012
Specifies the default interval in seconds between connection attempts.
.topic 9014
Specifies the default printer for the client side printing.

.topic 8013
Click the button to create SOCKS interface for tunneling of incoming connections to the server.

.topic 8014
Specifies the port name or number for incoming tunneling connections on the SOCKS interface.

.topic 8015
Check the button to allow connections only from the local host.

.topic 8016
Specifies list of port mapping interfaces for tunneling of incoming connections to the server.

.topic 8017
Click the button to add new port mapping interface.

.topic 8018
Click the button to edit selected mapping interface.

.topic 8019
Click the button to remove selected mapping interface.

.topic 10001
Click the button to resume file downloading on the specified file from the current file size.

.topic 10002
Click the button to overwrite the specified file.

.topic 10003
Click the button to cancel file transfer operation.

.topic 11000
Use the dialog to edit port mapping interface.
.topic 11001
Specifies port name or number for port mapping interface.
.topic 11002
Specifies a remote address to which server maps incoming connections.
.topic 11003
Specifies a remote port to which server maps incoming connections.
.topic 11004
Check the button to allow connections only from the local host.
.topic 11007
Closes this dialog box and saves any changes you have made.
.topic 11008
Closes this dialog box without saving any changes you have made.

.topic 11005
Click this to select a port mapping interface mode.

Port mapping - simple port mapping interface.

FTP port mapping - allows FTP clients (in the passive mode) to work correctly through the port mapping interface.

SOSKS proxy server - allows connections from SOCKS compatible software.

HTTP proxy server - allows connections from HTTP compatible software.

.topic 12000
Use the dialog to print document received from the server.

.topic 12001
Specifies the printer to print document.

.topic 12002
Click the button to begin printing of the document.

.topic 12003
Click the button to cancel printing of the document.

.topic 12004
Click the button to change printer page properties.

.topic 14000
Use the dialog to monitor and manage tunneling interfaces.

.topic	15000
Specifies information for the server port mapping interface.
.topic	15001
Specifies port name or number for the server port mapping interface.
.topic	15002
Click the button to set a specific server interface address.
.topic	15003
Specifies the server interface IP address.
.topic	15004
Check the button to allow connections only from the server local applications.
.topic	15005
Check the button to allow only single connection to port mapping interface.
.topic	15006
Specifies a local network address to which the client maps server connections.
.topic	15007
Specifies a local network port to which the client maps server connections.
.topic	15008
Closes this dialog box and saves any changes you have made.
.topic	15009
Closes this dialog box without saving any changes you have made.